Package javassist.compiler.ast

# Class Member

java.lang.Object
javassist.compiler.ast.ASTree
javassist.compiler.ast.Symbol
javassist.compiler.ast.Member

All Implemented Interfaces:
  `Serializable`

public class Member extends Symbol
Member name.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Member(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Visitor v)`
Is a method for the visitor pattern.
`CtField`
`getField()`
`void`
`setField(CtField f)`

### Methods inherited from class javassist.compiler.ast.Symbol

`get, toString`

### Methods inherited from class javassist.compiler.ast.ASTree

`getLeft, getRight, setLeft, setRight`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Member

public Member(String name)

## Method Details

### setField

public void setField(CtField f)

### getField

public CtField getField()

### accept

public void accept(Visitor v) throws javassist.compiler.CompileError
Description copied from class: `ASTree`
Is a method for the visitor pattern. It calls `atXXX()` on the given visitor, where `XXX` is the class name of the node object.

Overrides:
  `accept` in class `Symbol`
Throws:
  `javassist.compiler.CompileError`